/* Copyright (C) 2001-2003 Peter Selinger.
   This file is part of psdim. It is free software and it is covered
   by the GNU general public license. See the file COPYING for details. */

/* $Id: format.h,v 1.1 2003/12/06 22:28:46 selinger Exp $ */

#ifndef FORMAT_H
#define FORMAT_H

#include "main.h"

/* holds a linear transformation a la pstops */
struct transform_s {
  char *rot;   /* rotation, "", "L", "R", "U" */
  double sf;   /* scaling factor              */
  double dx;   /* x shift                     */
  double dy;   /* y shift                     */
};

typedef struct transform_s transform_t;

int format(info_t info, int n, bbox_t *bboxes);

#endif /* FORMAT_H */

